
LABINVENT (InventIrap) - Anomalie #5137
Actions # 4971 (Nouveau): ******* FEATURE - MATERIELS *******
MATERIEL - materiels/edit : 4 BUGS !!!
06/21/2017 05:08 pm - Etienne Pallier

Status: Fermé Start date: 05/27/2016
Priority: Immédiat Due date:
Assignee: Thibaud Ajas % Done: 100%
Category: Estimated time: 0.00 hour
Target version: version 2.7.x Spent time: 0.00 hour
Description

materiels/edit :

1) les dates sont remises au format "JJ-MM-AA" alors qu'on exige le format "JJ-MM-AAAA" 
=> quand on edite, mettre les dates au format "JJ-MM-AAAA" (ou alors exiger plutot le format "JJ-MM-AA")

2) Date fin garantie doit etre >= date reception

3) Date fin garantie et reception FACULTATIFs

4) nom du propriétaire : si on choisit "choisir un utilisateur" => ça pourrit le champ email en dessous, et on ne peut plus enregistrer
=> a) le champ email doit rester "vide" dans ce cas
=> b) champ doit etre obligatoire : on doit avoir un message d'erreur au moment d'enregistrer : "Vous devez choisir un propriétaire
pour ce matériel"

Related issues:
Copied from Anomalie # 5133: GENERAL - Régler une fois pour toutes (dans scri... Fermé 05/27/2016
Copied to Evolution # 5139: MATERIEL - add/edit : ajouter un bouton CANCEL Résolu 05/27/2016

History
#1 - 06/21/2017 05:28 pm - Etienne Pallier
- Description updated

#2 - 06/22/2017 12:41 pm - Thibaud Ajas
- Status changed from Nouveau to Fermé
- % Done changed from 0 to 100
